#!/bin/sh

##-------------------------------------------------------------------------------
## OUMA is Copyright (c)  2003 Volker Krause <volker_krause@gmx.net>
##
## Creation:     02.04.2003  vk
## Last Update:  26.06.2003  vk
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation in Version 2; Not any previous or future
## version.
##-------------------------------------------------------------------------------

if test -f /var/run/ouma/$ip.blocked ||  test -f /var/run/ouma/$ip.blockpr
then
	hostname=`cat /var/run/ouma/hn`
	/sbin/ipchains -D input -p tcp -s $ip -d ! $hostname -j DENY

	if test -f /var/run/ouma/blockudp;	then
		/sbin/ipchains -D input -p udp -s $ip -d ! $hostname -j DENY
	fi

	if test -f /var/run/ouma/blockicmp;	then
		/sbin/ipchains -D input -p icmp -s $ip -d ! $hostname -j DENY
	fi

	if test -f /var/run/ouma/$ip.blocked;then
		rm -f /var/run/ouma/$ip.blocked
	fi

	rm -f /var/run/ouma/$ip.time

	if test -f /var/run/ouma/$ip.blockpr;then
		rm -f /var/run/ouma/$ip.blockpr	
	fi
fi

